package javax.xml.crypto;

import java.io.PrintWriter;
import java.io.PrintStream;

public class URIReferenceException extends Exception
{
    private static final long serialVersionUID = 7173469703932561419L;
    private Throwable cause;
    private URIReference uriReference;
    
    public URIReferenceException() {
    }
    
    public URIReferenceException(String message) {
        super(message);
    }
    
    public URIReferenceException(String message, Throwable cause) {
        super(message);
        this.cause = cause;
    }
    
    public URIReferenceException(String s, Throwable t, URIReference uriReference) {
        this(s, t);
        if (uriReference == null) {
            throw new NullPointerException("uriReference cannot be null");
        }
        this.uriReference = uriReference;
        return;
    }
    
    public URIReferenceException(Throwable cause) {
        super((cause == null) ? null : cause.toString());
        this.cause = cause;
    }
    
    public URIReference getURIReference() {
        return this.uriReference;
    }
    
    @Override
    public Throwable getCause() {
        return this.cause;
    }
    
    @Override
    public void printStackTrace() {
        super.printStackTrace();
    }
    
    @Override
    public void printStackTrace(PrintStream s) {
        super.printStackTrace(s);
    }
    
    @Override
    public void printStackTrace(PrintWriter s) {
        super.printStackTrace(s);
    }
}
